package com.bonus.canteen.core.customer.po;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Collection;

@ApiModel("查询组织基础信息入参")
@Data
public class QueryOrgsBasicInfoPO {
   private Collection<Integer> delFlags;
   private Collection<String> orgNums;
   private Collection<Long> orgIds;
   private Collection<Long> ids;
   private Collection<Long> superIds;

   public Collection<Integer> getDelFlags() {
      return this.delFlags;
   }

   public Collection<String> getOrgNums() {
      return this.orgNums;
   }

   public Collection<Long> getOrgIds() {
      return this.orgIds;
   }

   public Collection<Long> getIds() {
      return this.ids;
   }

   public Collection<Long> getSuperIds() {
      return this.superIds;
   }

   public QueryOrgsBasicInfoPO setDelFlags(final Collection<Integer> delFlags) {
      this.delFlags = delFlags;
      return this;
   }

   public QueryOrgsBasicInfoPO setOrgNums(final Collection<String> orgNums) {
      this.orgNums = orgNums;
      return this;
   }

   public QueryOrgsBasicInfoPO setOrgIds(final Collection<Long> orgIds) {
      this.orgIds = orgIds;
      return this;
   }

   public QueryOrgsBasicInfoPO setIds(final Collection<Long> ids) {
      this.ids = ids;
      return this;
   }

   public QueryOrgsBasicInfoPO setSuperIds(final Collection<Long> superIds) {
      this.superIds = superIds;
      return this;
   }




}
